// Generated .IDL file (by the OLE/COM Object Viewer)
// 
// typelib filename: IEWebDriver.dll

[
  uuid(B7BBFE94-693D-48EE-B236-A189FBB69937),
  version(1.0)
]
library IEWebDriverLib
{
    // TLib :     // TLib : OLE Automation : {00020430-0000-0000-C000-000000000046}
    importlib("stdole2.tlb");

    // Forward declare all types defined in this typelib
    interface IIEWebDriverManager;
    interface IIEWebDriverSite;

    [
      uuid(90314AF2-5250-47B3-89D8-6295FC23BC22)
    ]
    coclass IEWebDriverManager {
        [default] interface IIEWebDriverManager;
        interface IIEWebDriverSite;
    };

    [
      odl,
      uuid(BD1DC630-6590-4CA2-A293-6BC72B2438D8),
      dual,
      nonextensible,
      oleautomation
    ]
    interface IIEWebDriverManager : IDispatch {
        [id(0x00000001)]
        HRESULT ExecuteCommand(
                        [in] LPWSTR command, 
                        [out] LPWSTR* response);
    };

    [
      odl,
      uuid(FFB84444-453D-4FBC-9F9D-8DB5C471EC75),
      dual,
      nonextensible,
      oleautomation
    ]
    interface IIEWebDriverSite : IDispatch {
        [id(0x00000002)]
        HRESULT WindowOperation(
                        [in] unsigned long operationCode, 
                        [in] unsigned long hWnd);
        [id(0x00000003)]
        HRESULT DetachWebdriver([in] IUnknown* pUnkWD);
        [id(0x00000004)]
        HRESULT GetCapabilityValue(
                        [in] IUnknown* pUnkWD, 
                        [in] LPWSTR capName, 
                        [out] VARIANT* capValue);
    };
};
